 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: OneAccessConfig
  * Author:   Louis
  * Date:     2021/3/30 9:38
  */
 package com.fr.plugin.j7803.sso.config;

 import com.fanruan.api.util.StringKit;
 import com.fr.config.*;
 import com.fr.config.holder.Conf;
 import com.fr.config.holder.factory.Holders;
 import com.fr.intelli.record.Focus;
 import com.fr.intelli.record.Original;

 /**
  * <Function Description><br>
  * <SsoConfig>
  *
  * @author Louis
  * @since 1.0.0
  */
 @Visualization(category = "Plugin-J7803-Sso_Group")
 public class SsoConfig extends DefaultConfiguration {
     public static final String PLUGIN_ID = "com.fr.plugin.j7803.sso.auth";
     public static final String DOMAIN_NAME = "https://openapi.lanxin.cn/oauth2/authorize";
     public static final String APP_DOMAIN = "https://mcenteruat.huaqin.com/login/appLogin";

     private static volatile SsoConfig config = null;

     @Focus(id = PLUGIN_ID, text = "Plugin-J7803-Sso", source = Original.PLUGIN)
     public static SsoConfig getInstance() {
         if (config == null) {
             config = ConfigContext.getConfigInstance(SsoConfig.class);
         }
         return config;
     }

     @Identifier(value = "appKey", name = "Plugin-J7803-Sso_Config_appKey", description = "Plugin-J7803-Sso_Config_appKey_Description", status = Status.SHOW)
     private Conf<String> appKey = Holders.simple(StringKit.EMPTY);
//     @Identifier(value = "appSecret", name = "Plugin-J7803-Sso_Config_appSecret", description = "Plugin-J7803-Sso_Config_appSecret_Description", status = Status.SHOW)
//     private Conf<String> appSecret = Holders.simple(StringKit.EMPTY);
     @Identifier(value = "domainName", name = "Plugin-J7803-Sso_Config_DomainName", description = "Plugin-J7803-Sso_Config_DomainName_Description", status = Status.SHOW)
     private Conf<String> domainName = Holders.simple(DOMAIN_NAME);
     @Identifier(value = "appDomain", name = "Plugin-J7803-Sso_Config_AppDomain", description = "Plugin-J7803-Sso_Config_AppDomain_Description", status = Status.SHOW)
     private Conf<String> appDomain = Holders.simple(APP_DOMAIN);

     public String getAppKey() {
         return appKey.get();
     }

     public void setAppKey(String appKey) {
         this.appKey.set(appKey);
     }

//     public String getAppSecret() {
//         return appSecret.get();
//     }
//
//     public void setAppSecret(String appSecret) {
//         this.appSecret.set(appSecret);
//     }

     public String getDomainName() {
         return domainName.get();
     }

     public void setDomainName(String domainName) {
         this.domainName.set(domainName);
     }

     public String getAppDomain() {
         return appDomain.get();
     }

     public void setAppDomain(String appDomain) {
         this.appDomain.set(appDomain);
     }
 }